/*
 * @Author       : ChenJie
 * @Date         : 2021-12-15 10:42:35
 * @Version      : V3.0
 * @LastEditors  : ChenJie
 * @LastEditTime : 2021-12-20 14:56:45
 * @Description  :  AppFuncion.h
 * @FilePath     : \VehicleControl\VehicleControl\src\System\Vehicle\AppFunc.h
 */
/*
 * AppFuncion.h
 *
 *  Created on: 2021Äê12ÔÂ15ÈÕ
 *      Author: QiXiang_CHENJIE
 */

#ifndef SYSTEM_VEHICLE_APPFUNCION_H_
#define SYSTEM_VEHICLE_APPFUNCION_H_
void GetHVLockState(void);
void GetDIOState(void);
void GetAIOValue(void);
void LockAndUnlockCtrl();
uint16 Look1_u32u8(uint32 u0, uint32 *bp0, uint8 *table, uint16 MaxLen);
#ifdef _APP_TEST_CODE
void TestDeviceFun(void);
#endif
#ifdef _APP_TEST_MOTOR_CODE
void MotorControlFunc(UINT8 MotorIdx,UINT8 RotateDirec);
#endif
#endif /* SYSTEM_VEHICLE_APPFUNCION_H_ */
